SwiftXCTestBundle (Gradle API 5.1.1)
Date: 2019-01-11

Package org.gradle.nativeplatform.test.xctest

## Interface SwiftXCTestBundle

- All Superinterfaces:
    `ComponentWithDependencies`, `ComponentWithNativeRuntime`, `ComponentWithObjectFiles`, `Named`, `SoftwareComponent`, `SwiftBinary`, `SwiftXCTestBinary`, `TestComponent`

      @Incubating
      public interface SwiftXCTestBundle
      extends SwiftXCTestBinary

  An XCTest executable for tests implemented in Swift.
  Since:
    4.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Provider<? extends LinkMachOBundle>` | `getLinkTask()` | Returns the link task for this bundle.

    - ### Methods inherited from interface org.gradle.language.ComponentWithDependencies

      `getDependencies`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithNativeRuntime

      `getBaseName, getToolChain, isDebuggable, isOptimized`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithObjectFiles

      `getObjects`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.language.swift.SwiftBinary

      `getCompileModules, getCompileTask, getLinkLibraries, getModule, getModuleFile, getRuntimeLibraries, getSourceCompatibility, getSwiftSource, getTargetPlatform, isTestable`

    - ### Methods inherited from interface org.gradle.nativeplatform.test.xctest.SwiftXCTestBinary

      `getExecutableFile, getInstallDirectory, getRunScriptFile, getRunTask`

- - ### Method Detail

    - #### getLinkTask

          Provider<? extends LinkMachOBundle> getLinkTask()

      Returns the link task for this bundle.
      Specified by:
        `getLinkTask` in interface `SwiftXCTestBinary`